#include <stdio.h>
int main() {
	int n,i,k;
	scanf("%d",&n);
	if(n<=0) {
		printf("-1\n");
		return 0;
	}
	for(i=0;i<n;i++) {
		for(k=0;k<i;k++)
			printf(" ");
		for(k=i+1;k<n;k++)
			printf("*-");
		printf("*\n");
	}
	return 0;
}
